> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv1premierleaderboard



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/premier/leaderboard/{affinity}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v1/premier/leaderboard/{affinity}:
    get:
      tags:
        - valorant
      operationId: premier_leaderboard
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: conference
          in: query
          description: Conference filter (optional)
          required: false
          schema:
            type: string
        - name: division
          in: query
          description: Division filter (optional)
          required: false
          schema:
            type: string
        - name: season
          in: query
          description: Premier season id (optional)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Premier leaderboard retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PremierSearchResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Leaderboard not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    PremierSearchResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PremierTeamLiteResponseData'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    PremierTeamLiteResponseData:
      type: object
      required:
        - id
        - name
        - tag
        - conference
        - division
        - affinity
        - region
        - losses
        - wins
        - score
        - ranking
        - customization
        - updated_at
      properties:
        affinity:
          type: string
        conference:
          type: string
        customization:
          $ref: '#/components/schemas/PremierTeamV1ResponseDataCustomization'
        division:
          type: integer
          format: int32
        id:
          type: string
        losses:
          type: integer
          format: int32
        name:
          type: string
        ranking:
          type: integer
          format: int32
        region:
          type: string
        score:
          type: integer
          format: int32
        tag:
          type: string
        updated_at:
          type: string
        wins:
          type: integer
          format: int32
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    PremierTeamV1ResponseDataCustomization:
      type: object
      required:
        - icon
        - image
        - primary
        - secondary
        - tertiary
      properties:
        icon:
          type: string
        image:
          type: string
        primary:
          type: string
        secondary:
          type: string
        tertiary:
          type: string

````